module:			dylan-user
author:			Patrick C. Beard (beard@cs.ucdavis.edu)
copyright:			(C) 1994 Patrick C. Beard
				All rights reserved.
synopsis:			
version:			1.0

//
// DIRM syntax implementations of factorial and fibonacci functions.
//

define method fact(n :: <integer>)
	if (n = 0)
		1;
	else
		n * fact(n - 1);
	end if;
end method fact;

define method fib(n :: <integer>)
	if (n = 0 | n = 1)
		1;
	else
		fib(n - 2) + fib(n - 1);
	end if;
end method fib;
