/* SymbolicDuration.h */

#ifndef Included_SymbolicDuration_h
#define Included_SymbolicDuration_h

/* SymbolicDuration module depends on */
/* MiscInfo.h */
/* Audit */
/* Debug */
/* Definitions */
/* DataMunging */
/* NoteObject */
/* Memory */
/* SymbolicIsItInThere */

/* convert the duration flags into a heap allocated string */
char*								NumericDurationToString(unsigned long Duration,
											MyBoolean DotFlag, unsigned long Division);

/* obtain duration attributes from the string passed in.  if the duration attribute */
/* can't be determined, then *Duration will remain unchanged */
void								StringToNumericDuration(char* String, unsigned long* Duration,
											MyBoolean* DotFlag, unsigned long* Division);

#endif
