#ifndef __TREEOBJ2__
#define __TREEOBJ2__

#ifndef __TREEOBJ__
#include "TreeObj.h"
#endif

#define NEW_EDIT          1		/* Application edit types. */
#define DELETE_EDIT       2
#define COPY_EDIT         3
#define MOVE_EDIT         4
#define SIZE_EDIT         5
#define GROUP_EDIT        6
#define UNGROUP_EDIT      7
#define MOVEFORWARD_EDIT  8
#define MOVETOFRONT_EDIT  9
#define MOVEBACKWARD_EDIT 10
#define MOVETOBACK_EDIT   11
#define CLIPBOARD_EDIT    12
#define PENSIZE_EDIT      13
#define COLORCHANGE_EDIT  14
#define DRAGDROP_EDIT     15


#define CLICKMESSAGE     128
#define     CLICKSELECT      0
#define     CLICKDRAG        1

#define KEYMESSAGE       129

#define SETSELECTMESSAGE 130
#define     SELECTOFF        0
#define     SELECTON         1
#define     SELECTTOGGLE     2
#define     SELECTNODRAW     0x80

#define GETSELECTMESSAGE 131

#define SIZEMESSAGE      132



typedef struct {
	short		message;
	EventRecord	localEvent;
	Point		offset;
	short		grabber;
	short		oldFlip, newFlip;
} ClickInfo;



TreeObjHndl	DoTreeHitTest(TreeObjHndl hndl, ClickInfo *click);
void		DoTreeDraw(TreeObjHndl hndl, short drawType);
void		DoTreeSelect(TreeObjHndl hndl, short selectType);
long		DoTreeObjMethodClipped(TreeObjHndl hndl, short message, long data);

#endif
