#ifndef __APPPROTOS__
#define __APPPROTOS__


#ifndef __DLPROTOS__
#include "DTS.Lib.protos.h"
#endif


/* NOTE:  These prototypes are in a single file as they are the standard functions
**        functions for this application shell.  You may wish to have separate
**        files for the prototypes of functions you add to the shell.  They are all
**        here in a single file for simplicity. */



/************** AECustom.c **************/

void			InitCustomAppleEvents(void);
OSErr			SendMessage(FileRecHndl frHndl, short messageType);



/************** DoEvent.c **************/

void			DoEvent(EventRecord *event);



/************** EventLoop.c **************/

void			EventLoop(void);



/************** File.c **************/

OSErr			DuplicateDocument(FileRecHndl oldFrHndl, FileRecHndl *newFrHndl);



/************** IdleTasks.c **************/

void			DoIdleTasks(EventRecord *event);



/************** Menu.c **************/

Boolean			DoAdjustFileMenu(WindowPtr window);
Boolean			DoAdjustEditMenu(WindowPtr window);
Boolean			DoAdjustCommunicateMenu(WindowPtr window);
Boolean			DoAdjustFontsMenu(WindowPtr window);



#endif
