/* ========== the commmand file: ==========

	mem.c
	
	Copyright (c) 1993,1994 Newport Software Development
	
	You may distribute unmodified copies of this file for
	noncommercial purposes.  You may use this file as a
	reference when writing your own nShell(tm) commands.
	
	All other rights are reserved.
	
   ========== the commmand file: ========== */

#include "nshc.h"
					
#include "nshc_utl.proto.h"
					
void main(t_nshc_parms *nshc_parms, t_nshc_calls *nshc_calls)
{
	long	lFreeBytes;
	
	if (nshc_bad_version( nshc_parms, nshc_calls, NSHC_VERSION )) return;

	lFreeBytes = FreeMem();	
	nshc_calls->NSH_printf("Free memory = %ld\r",lFreeBytes);

	nshc_parms->result = NSHC_NO_ERR;
	nshc_parms->action = nsh_idle;
}
