LANGUAGE			= ENGLISHDARKSIDE
ObjDir				= :Objects:
SrcDir				=
OutputDir			= :Faders:
LinkOptions			= -d
RezOptions			= -d {LANGUAGE}=1

# debugging options
#CompileOptions	= -o "{ObjDir}" -d MPW3 -r -d SystemSevenOrLater -b2 -opt full

# non debugging options
CompileOptions	= -mbg off -o "{ObjDir}" -d MPW3 -r -d SystemSevenOrLater -b2 -opt full

# fader shell creation
"{ObjDir}"Fader.c.o  "{SrcDir}"Fader.c "{SrcDir}"Fader.h
	Echo "Compiling Fader.c"
	C {CompileOptions} "{SrcDir}"Fader.c
	
	
# Morpion creation
"{ObjDir}"Morpion.c.o  "{SrcDir}"Morpion.c
	Echo "Compiling Morpion.c"
	C {CompileOptions} "{SrcDir}"Morpion.c
	
"{OutputDir}"Morpion  "{ObjDir}"Morpion.c.o "{ObjDir}"Fader.c.o
	Echo "Linking Morpion"
	Link {LinkOptions} -o {Targ}				
	-m FaderEntry								
	-rt FADE=128								
	-sg Fader									
	"{ObjDir}Fader.c.o"							
	"{ObjDir}Morpion.c.o"						
	"{Libraries}"Interface.o 					
	"{Libraries}"Runtime.o 						
	SetFile {Targ} -t 'Dark' -c 'DSOM'
	
"{OutputDir}"Morpion  "{SrcDir}"Morpion.r
	Echo "Rezzing Morpion"
	Rez {RezOptions} -rd -o {Targ} {SrcDir}Morpion.r -append
