#include "ArrangeModule.r.h"

// AutoCompletion.r - based on GenericPlugin.r as of 7/15/94

#define ModuleName	"AutoCompletion"		// Unique module name
#define ModuleID 		0x10000000				// Unique module ID
#define ModuleRsrcID 0xFFFF8000				// Base resource ID (needn't be unique)
#define BuildDate    0							// Replace with current build date

include "AutoCompletion.rsrc";


resource ModuleDefType (ModuleRsrcID, ModuleName, preload, locked)
	{
	keepLocked,				// Module's code resources should always be locked (don't
								// lock and unlock for each call)
	loadAtBoot,				// Load the module when Arrange is launched
	ModuleName,				// Unique module name
	ModuleID,				// Unique module ID
	0x00000000,				// Module version
	BuildDate,				// Date when this module was built
	ArrangeAppID,			// Target application (Arrange)
	0x00000700,				// Target system version (7.0.0)
	ArrangePonsVers,		// Target app version (Arrange 2.0)
	0							// relative ID of root code resource
	};
