#ifndef PLUGINLIBRARY_H
#define PLUGINLIBRARY_H

#ifndef MODULE_H
#include "Module.h"
#endif


/* This file contains some utility functions which can be linked into a
 * plugin module.
 */

#ifdef __cplusplus
extern "C" {
#endif


extern void DebugMsg(const char* msg);


#ifdef __cplusplus
}

/* Special versions of operator-new and operator-delete which allow us to
 * bypass malloc and free.
 */
extern void* operator new(size_t n, void *p);
extern void operator delete(void* p);
#endif // __cplusplus


#endif // ifndef PLUGINLIBRARY_H
